Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface PrimitiveType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type

    public interface PrimitiveType

extends Type

A representation of the model object 'Primitive Type'. Tipo base customizzabile. Permette di definire differenti Typeset. In particolare è possibile definire anche un insieme di language binding che permettono di indicare il tipo language specific a cui deve essere associato il tipo modellato.

The following features are supported:

- `Typeset Name`
- `Nillable`
- `Language Bindings`

See Also:
  `TypedefPackage.getPrimitiveType()`

Method Summary
`org.eclipse.emf.common.util.EList<TypeLanguageBinding>` | `getLanguageBindings()` Returns the value of the 'Language Bindings' containment reference list.
`java.lang.String` | `getTypesetName()` Returns the value of the 'Typeset Name' attribute
`boolean` | `isNillable()` Returns the value of the 'Nillable' attribute
`void` | `setNillable(boolean value)` Sets the value of the '`Nillable`' attribute
`void` | `setTypesetName(java.lang.String value)` Sets the value of the '`Typeset Name`' attribute

Methods inherited from interface it.csi.mddtools.typedef.Type
`getAnnotations, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTypesetName

    java.lang.String getTypesetName()

  Returns the value of the 'Typeset Name' attribute. Nome del typeset, es.: xsd, CSI. Ha scopo tipicamente mnemonico, a meno che non sia referenziato esplicitamente da qualche cartuccia di generazione.

  Returns:
    the value of the 'Typeset Name' attribute.
  See Also:
    `setTypesetName(String)`, `TypedefPackage.getPrimitiveType_TypesetName()`

### setTypesetName

    void setTypesetName(java.lang.String value)

  Sets the value of the '`Typeset Name`' attribute.

  Parameters:
    `value` - the new value of the 'Typeset Name' attribute.
  See Also:
    `getTypesetName()`

### isNillable

    boolean isNillable()

  Returns the value of the 'Nillable' attribute. Se impostato a true indica che il tipo prevede tra i valori possibili il valore nullo.

  Returns:
    the value of the 'Nillable' attribute.
  See Also:
    `setNillable(boolean)`, `TypedefPackage.getPrimitiveType_Nillable()`

### setNillable

    void setNillable(boolean value)

  Sets the value of the '`Nillable`' attribute.

  Parameters:
    `value` - the new value of the 'Nillable' attribute.
  See Also:
    `isNillable()`

### getLanguageBindings

    org.eclipse.emf.common.util.EList<TypeLanguageBinding> getLanguageBindings()

  Returns the value of the 'Language Bindings' containment reference list. The list contents are of type `TypeLanguageBinding`. Binding del tipo nei vari linguaggi. Ciascun binding permette di definire come deve essere trattato il tipo nel linguaggio specifico, ovvero a quale tipo effettivo dovrà essere associato e con che caratteristiche di dettaglio.

  Returns:
    the value of the 'Language Bindings' containment reference list.
  See Also:
    `TypedefPackage.getPrimitiveType_LanguageBindings()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD